#ifndef ENTERMODE_H
#define ENTERMODE_H

#include <QWidget>
#include <QPushButton>
#include <QGridLayout>
#include <QGroupBox>

#include <TC_types.h>
#include <parameterdump.h>

class EnterMode : public QWidget
{
    Q_OBJECT
public:
    explicit EnterMode(QWidget *parent = 0);

    void sendEnterMode(unsigned char mode);

    QPushButton *button_enterModeStandby;
    QPushButton *button_enterModeNormal;
    QPushButton *button_enterModeBurst;
    QPushButton *button_enterModeSBM1;
    QPushButton *button_enterModeSBM2;

    QGridLayout *mainLayout;
    QGridLayout *overallLayout;

    QGroupBox *groupBox;

    ParameterDump *parameterDump;
    
signals:
    unsigned int WriteSPWSig(char *Value, unsigned int count, char targetLogicalAddress, char userApplication);
    
public slots:
    void enterModeStandby();
    void enterModeNormal();
    void enterModeBurst();
    void enterModeSBM1();
    void enterModeSBM2();
    
};

#endif // ENTERMODE_H
